#include "kernel/types.h"
#include "kernel/stat.h"
#include "user/user.h"

#define PGSIZE (1 << 12)

int
main()
{
  int *topOfHeap = (int *)sbrk(1 * PGSIZE) + PGSIZE / sizeof(int);

  if (mmap((uint64)topOfHeap) > 0) {
    printf("mmap successful\n");
  };

  *topOfHeap = 4;

  if (munmap((uint64)topOfHeap) > 0) {
    printf("munmap successful\n");
  }
}
